Subject: bug#63938: closed (Re: bug#63938: Inkscape 1.2.1: No module named 'lxml')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Mar 2024 18:38:03 +0000

Your bug report

#63938: Inkscape 1.2.1: No module named 'lxml'

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63938: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63938
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63938: Inkscape 1.2.1: No module named 'lxml'
From: Maxim Cournoyer <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Mar 2024 13:36:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Andreas Enge <[email-masked]> writes:

> I get a text box with a similar, but not the same error:
>
> Traceback (most recent call last):
>   File "/gnu/store/zjc4ijkrrp1b9v1va40a3fki0gkgcp6w-inkscape-1.2.1/share/inkscape/extensions/inkex/gui/__init__.py", line 38, in <module>
>     import gi
> ModuleNotFoundError: No module named 'gi'
> During handling of the above exception, another exception occurred:
> Traceback (most recent call last):
>   File "/gnu/store/zjc4ijkrrp1b9v1va40a3fki0gkgcp6w-inkscape-1.2.1/share/inkscape/extensions/inkman/inkman/manage_extensions.py", line 29, in <module>
>     from inkex import gui
>   File "/gnu/store/zjc4ijkrrp1b9v1va40a3fki0gkgcp6w-inkscape-1.2.1/share/inkscape/extensions/inkex/gui/__init__.py", line 42, in <module>
>     raise DependencyError(
> inkex.utils.DependencyError: You are missing the required libraries for Gtk. Please report this problem to the Inkscape developers.
>
> Maybe we are missing propagated inputs or wrapping with some environment
> variable?

Yes, we needed GI_TYPELIB_PATH, as wrapped in commit
f4078087a69e4f57059fc6120332b47caef3aeaf ("gnu: inkscape: Fix Python
support.") on core-updates, as well as some other Python inputs.

Closing.

-- 
Thanks,
Maxim

Subject: Inkscape 1.2.1: No module named 'lxml'
From: Andrea PIERRÉ <[email-masked]>
To: [email-masked]
Date: Tue, 6 Jun 2023 15:26:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I get the following error with Inkscape 1.2.1 (9c6d41e410, 2022-07-14) 
when I click on the top menu on |Extensions > Manage Extensions|:

|Traceback (most recent call last): File 
"/gnu/store/3lbv31vxj3y0d2dn7h2y5dna7dfhhrb5-inkscape-1.2.1/share/inkscape/extensions/inkman/inkman/manage_extensions.py", 
line 29, in <module> from inkex import gui File 
"/gnu/store/3lbv31vxj3y0d2dn7h2y5dna7dfhhrb5-inkscape-1.2.1/share/inkscape/extensions/inkex/__init__.py", 
line 11, in <module> from .extensions import * File 
"/gnu/store/3lbv31vxj3y0d2dn7h2y5dna7dfhhrb5-inkscape-1.2.1/share/inkscape/extensions/inkex/extensions.py", 
line 34, in <module> from .elements import ( File 
"/gnu/store/3lbv31vxj3y0d2dn7h2y5dna7dfhhrb5-inkscape-1.2.1/share/inkscape/extensions/inkex/elements/__init__.py", 
line 9, in <module> from ._parser import SVG_PARSER, load_svg File 
"/gnu/store/3lbv31vxj3y0d2dn7h2y5dna7dfhhrb5-inkscape-1.2.1/share/inkscape/extensions/inkex/elements/_parser.py", 
line 30, in <module> from lxml import etree ModuleNotFoundError: No 
module named 'lxml' |

Thanks!

​